## akonadi-search 25.08.1+p24.04+vstable+git20250914.1704

=== CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

set(PIM_VERSION "6.5.2")
project(AkonadiSearch VERSION ${PIM_VERSION})

# ECM setup
set(KF_MIN_VERSION "6.14.0")

set(CMAKE_CXX_STANDARD 20)
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(CMakeDependentOption)
include(ECMSetupVersion)
file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    agent/*.cpp
    agent/*.h
    agent/*.c
    akonadiplugin/*.cpp
    akonadiplugin/*.h
    akonadiplugin/*.c
    core/*.cpp
    core/*.h
    core/*.c
    debug/*.cpp
    debug/*.h
    debug/*.c
    lib/*.cpp
    lib/*.h
    lib/*.c
    runner/*.cpp
    runner/*.h
    runner/*.c
    search/*.cpp
    search/*.h
    search/*.c
    xapian/*.cpp
    xapian/*.h
    xapian/*.c
)

set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMAddTests)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddQch)

option(
    BUILD_QCH
    "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
    OFF
)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

cmake_dependent_option(
    AKONADISEARCH_ENABLE_KRUNNER_RUNNER
    "Build KRunner runner to search contacts"
    ON
    "NOT WIN32;NOT APPLE"
    OFF
)

set(AKONADISEARCH_VERSION ${PIM_VERSION})

set(AKONADI_VERSION "6.5.1")
set(AKONADI_MIMELIB_VERSION "6.5.1")
set(KMIME_LIB_VERSION "6.5.1")
set(QT_REQUIRED_VERSION "6.8.0")
set(KPIM_MIME_VERSION "6.5.1")
set(KTEXTADDONS_MIN_VERSION "1.6.0")

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Test)
find_package(
    KF6
    ${KF_MIN_VERSION}
    REQUIRED
    COMPONENTS I18n Config Crash DBusAddons KCMUtils KIO
)
if(AKONADISEARCH_ENABLE_KRUNNER_RUNNER)
    find_package(KF6Runner ${KF_MIN_VERSION} REQUIRED)
endif()

find_package(Xapian CONFIG)
set_package_properties(
    Xapian
    PROPERTIES
        DESCRIPTION "The Xapian search engine library"
        URL "https://xapian.org"
        TYPE REQUIRED
)

find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextUtils ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

find_package(Corrosion CONFIG)
set_package_properties(
    Corrosion
    PROPERTIES
        PURPOSE "Required for safe parsing of html emails"
        DESCRIPTION
            "CMake scripts to seamlessly build and link to targets using cargo"
        URL https://github.com/corrosion-rs/corrosion
)

ecm_setup_version(PROJECT
    VARIABLE_PREFIX AKONADISEARCH
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi_search_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiSearchConfigVersion.cmake"
    SOVERSION 6
)
option(KDEPIM_RUN_AKONADI_TEST "Enable autotest based on Akonadi." TRUE)

# Compiler flags
add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_search\")
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)

option(
    USE_UNITY_CMAKE_SUPPORT
    "Use UNITY cmake support (speedup compile time)"
    OFF
)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

# Turn exceptions on
kde_enable_exceptions()

include_directories(
    ${XAPIAN_INCLUDE_DIR}
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}/core
    ${CMAKE_BINARY_DIR}/core
    ${CMAKE_SOURCE_DIR}/xapian
    ${CMAKE_BINARY_DIR}/xapian
)
# Config files
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6AkonadiSearch")
# Targets
add_subdirectory(xapian)
add_subdirectory(core)
add_subdirectory(agent)
add_subdirectory(lib)
add_subdirectory(akonadiplugin)
add_subdirectory(search)
add_subdirectory(debug)
if(AKONADISEARCH_ENABLE_KRUNNER_RUNNER)
    add_subdirectory(runner)
endif()

if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6AkonadiSearchPIM_QCH
        FILE KPim6AkonadiSearchPIMQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS
        "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6AkonadiSearchPIMQchTargets.cmake\")"
    )
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimAkonadiSearchConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiSearchConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiSearchConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiSearchConfigVersion.cmake"
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT devel
)

install(
    EXPORT KPim6AkonadiSearchTargets
    NAMESPACE KPim6::
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6AkonadiSearchTargets.cmake
)

install(
    FILES "${CMAKE_CURRENT_BINARY_DIR}/akonadi_search_version.h"
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiSearch
    COMPONENT Devel
)

ecm_qt_install_logging_categories(
        EXPORT AKONADISEARCH
        FILE akonadi-search.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
akonadi-search (4:25.08.1+p24.04+vstable+git20250914.1704-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 17:04:21 +0000

akonadi-search (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:13:01 +0000

akonadi-search (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 12:47:19 +0000

akonadi-search (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:29:21 +0000

akonadi-search (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:44:29 +0000

akonadi-search (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:35:39 +0000

akonadi-search (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:18:48 +0000

akonadi-search (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 13:46:41 +0000

akonadi-search (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 14:51:15 +0000

akonadi-search (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:42:48 +0000

akonadi-search (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Dec 2024 07:44:42 +0000

akonadi-search (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:40:39 +0000

akonadi-search (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:12:27 +0000

akonadi-search (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 07:50:54 +0000

akonadi-search (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:04:54 +0000

akonadi-search (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:39:59 +0000

akonadi-search (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:08:12 +0000

akonadi-search (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 03:53:49 +0000

akonadi-search (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 14:50:12 +0000

akonadi-search (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:31:35 +0000

akonadi-search (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Nov 2023 15:41:04 +0000

akonadi-search (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:08:20 +0000

akonadi-search (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 12:44:49 +0000

akonadi-search (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:37:04 +0000

akonadi-search (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 11:20:53 +0000

akonadi-search (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 12:52:13 +0000

akonadi-search (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:17:42 +0000

akonadi-search (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 15:56:03 +0000

akonadi-search (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:03:48 +0000

akonadi-search (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:26:26 +0000

akonadi-search (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 17:59:05 +0000

akonadi-search (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:27:23 +0000

akonadi-search (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:12:39 +0000

akonadi-search (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:39:53 +0000

akonadi-search (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:34:02 +0000

akonadi-search (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:48:23 +0000

akonadi-search (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:02:31 +0000

akonadi-search (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 10:59:03 +0000

akonadi-search (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:16:52 +0000

akonadi-search (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:30:33 +0000

akonadi-search (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:26:44 +0000

akonadi-search (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:47:12 +0000

akonadi-search (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:19:40 +0000

akonadi-search (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:50:09 +0000

akonadi-search (4:21.04.0-0neon) focal; urgency=medium



## akonadi-search 25.08.1+p24.04+vstable+git20250916.0341

=== debian/changelog ===
akonadi-search (4:25.08.1+p24.04+vstable+git20250916.0341-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 03:41:33 +0000

## akonadi-search 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -92,11 +92,11 @@
 
 set(AKONADISEARCH_VERSION ${PIM_VERSION})
 
-set(AKONADI_VERSION "6.5.1")
-set(AKONADI_MIMELIB_VERSION "6.5.1")
-set(KMIME_LIB_VERSION "6.5.1")
+set(AKONADI_VERSION "6.5.2")
+set(AKONADI_MIMELIB_VERSION "6.5.2")
+set(KMIME_LIB_VERSION "6.5.2")
 set(QT_REQUIRED_VERSION "6.8.0")
-set(KPIM_MIME_VERSION "6.5.1")
+set(KPIM_MIME_VERSION "6.5.2")
 set(KTEXTADDONS_MIN_VERSION "1.6.0")
 
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Test)

=== lib/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
kde_enable_exceptions()
include_directories(${XAPIAN_INCLUDE_DIR})

add_library(KPim6AkonadiSearchPIM)
add_library(KPim6::AkonadiSearchPIM ALIAS KPim6AkonadiSearchPIM)

target_sources(
    KPim6AkonadiSearchPIM
    PRIVATE
        query.cpp
        resultiterator.cpp
        contactquery.cpp
        emailquery.cpp
        notequery.cpp
        contactcompleter.cpp
        collectionquery.cpp
        indexeditems.cpp
        ../search/email/agepostingsource.cpp
        query.h
        resultiterator.h
        contactquery.h
        emailquery.h
        notequery.h
        contactcompleter.h
        collectionquery.h
        indexeditems.h
        ../search/email/agepostingsource.h
)

ecm_qt_declare_logging_category(KPim6AkonadiSearchPIM HEADER akonadi_search_pim_debug.h IDENTIFIER AKONADI_SEARCH_PIM_LOG CATEGORY_NAME org.kde.pim.akonadi_search_pim
        DESCRIPTION "akonadisearch(akonadi pim lib)"
        OLD_CATEGORY_NAMES log_akonadi_search_pim
        EXPORT AKONADISEARCH
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim6AkonadiSearchPIM PROPERTIES UNITY_BUILD ON)
endif()

generate_export_header(
    KPim6AkonadiSearchPIM
    BASE_NAME AKONADI_SEARCH_PIM
    EXPORT_FILE_NAME search_pim_export.h
)

target_link_libraries(
    KPim6AkonadiSearchPIM
    PUBLIC Qt::Core
    PRIVATE KPim6::AkonadiCore ${XAPIAN_LIBRARIES}
)

set_target_properties(
    KPim6AkonadiSearchPIM
    PROPERTIES
        VERSION ${AKONADISEARCH_VERSION}
        SOVERSION ${AKONADISEARCH_SOVERSION}
        EXPORT_NAME AkonadiSearchPIM
)

target_include_directories(
    KPim6AkonadiSearchPIM
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiSearch>"
)

install(
    TARGETS KPim6AkonadiSearchPIM
    EXPORT KPim6AkonadiSearchTargets
    ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

set(AKONADISEARCH_INCLUDES
    query.h
    contactquery.h
    emailquery.h
    contactcompleter.h
    notequery.h
    collectionquery.h
    indexeditems.h
    resultiterator.h
)

install(
    FILES
        ${AKONADISEARCH_INCLUDES}
        ${CMAKE_CURRENT_BINARY_DIR}/search_pim_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiSearch/PIM
    COMPONENT Devel
)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

if(BUILD_QCH)
    ecm_add_qch(
        KPim6AkonadiSearchPIM_QCH
        NAME KPim6AkonadiSearchPIM
        BASE_NAME KPim6AkonadiSearchPIM
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${AKONADISEARCH_INCLUDES}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt6Core_QCH
            Qt6Gui_QCH
            Qt6Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            AKONADI_SEARCH_PIM_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== search/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
add_subdirectory(email)
add_subdirectory(contact)
add_subdirectory(note)
add_subdirectory(calendar)

=== debian/changelog ===
akonadi-search (4:25.08.2-0zneon+24.04+noble+release+build36) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 09:51:46 +0000

akonadi-search (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:54:09 +0000

=== debian/control ===
Source: akonadi-search
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cargo,
               cmake,
               corrosion,
               debhelper-compat (= 13),
               doxygen,
               kaccounts-integration-dev,
               kf6-extra-cmake-modules,
               kf6-kcalendarcore-dev,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets,
               kf6-kcontacts-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-krunner-dev,
               kf6-ktextaddons-dev,
               kpim6-akonadi-dev,
               kpim6-akonadi-mime-dev,
               kpim6-kmime-dev,
               libxapian-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               rustc,
               xauth,
               xvfb
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/pim/akonadi-search
Vcs-Git: https://invent.kde.org/neon/kde/akonadi-search.git
Vcs-Browser: https://invent.kde.org/neon/kde/akonadi-search
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-akonadi-search
Architecture: any
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5akonadisearch-data (<= 24.08.3-0zneon+24.04+noble+release+build10)
Replaces: libkf5akonadisearch-bin,
          libkf5akonadisearch-data,
          libkf5akonadisearch-plugins,
          libkf5akonadisearchcore5,
          libkf5akonadisearchdebug5,
          libkf5akonadisearchpim5,
          libkf5akonadisearchxapian5,
          libkpim5akonadisearch-bin,
          libkpim5akonadisearch-data,
          libkpim5akonadisearch-plugins,
          libkpim5akonadisearchcore5,
          libkpim5akonadisearchdebug5,
          libkpim5akonadisearchpim5,
          libkpim5akonadisearchxapian5
Description: Akonadi search library - data files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains data files.

Package: kpim6-akonadi-search-dev
Architecture: any
X-Neon-MergedPackage: true
Depends: kf6-kcalendarcore-dev,
         kf6-kcontacts-dev,
         kpim6-akonadi-dev,
         kpim6-akonadi-mime-dev,
         kpim6-akonadi-search (= ${binary:Version}),
         kpim6-kmime-dev,
         qt6-base-dev,
         ${misc:Depends}
Replaces: libkf5akonadisearch-dev, libkpim5akonadisearch-dev
Description: Akonadi search library - development files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains the development files.

Package: libkpim5akonadisearch-bin
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadisearch-data
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadisearch-dev
Architecture: all
Depends: kpim6-akonadi-search-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadisearch-plugins
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadisearchcore5
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadisearchdebug5
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadisearchpim5
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadisearchxapian5
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadisearch-bin
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadisearch-data
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadisearch-dev
Architecture: all
Depends: kpim6-akonadi-search-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadisearch-plugins
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadisearchcore5
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadisearchdebug5
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadisearchpim5
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadisearchxapian5
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## akonadi-search 25.08.2+p24.04+vstable+git20251021.0245

=== debian/changelog ===
akonadi-search (4:25.08.2+p24.04+vstable+git20251021.0245-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 02:45:28 +0000

## akonadi-search 25.08.2+p24.04+vstable+git20251022.0042

=== debian/changelog ===
akonadi-search (4:25.08.2+p24.04+vstable+git20251022.0042-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 00:42:11 +0000

## akonadi-search 25.08.3

=== agent/autotests/CMakeLists.txt ===
add_definitions(-DMAIL_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/testdata")

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/..)

set(indexer_SRCS
    ../emailindexer.cpp
    ../contactindexer.cpp
    ../akonotesindexer.cpp
    ../calendarindexer.cpp
    ../abstractindexer.cpp
    ../collectionindexer.cpp
    ../../search/pimsearchstore.cpp
    ../../search/email/emailsearchstore.cpp
    ../../search/email/agepostingsource.cpp
    ../../search/contact/contactsearchstore.cpp
    ../../search/calendar/calendarsearchstore.cpp
    ../akonadi_indexer_agent_debug.cpp
    ../akonadi_indexer_agent_calendar_debug.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/../../agent/akonadi_indexer_agent_email_debug.cpp
)

set(indexer_LIBS
    Qt::Test
    KPim6::AkonadiCore
    KPim6::AkonadiMime
    KPim6::AkonadiAgentBase
    KPim6::Mime
    KF6::Contacts
    KF6::CalendarCore
    KPim6::AkonadiSearchPIM
    KPim6::AkonadiSearchXapian
    KF6::I18n
    KF6::Codecs
    KF6::ConfigCore
    KF6::TextUtils
)

set(indexertest_SRCS indexertest.cpp ${indexer_SRCS})

add_definitions(-DAKONADI_SEARCH_NO_PLUGINS=TRUE)

add_executable(indexertest ${indexertest_SRCS})
add_test(NAME indexertest COMMAND indexertest)
ecm_mark_as_test(indexertest)
target_link_libraries(indexertest ${indexer_LIBS})

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
if(KDEPIM_RUN_AKONADI_TEST)
    set(KDEPIMLIBS_RUN_ISOLATED_TESTS TRUE)
    set(KDEPIMLIBS_RUN_SQLITE_ISOLATED_TESTS TRUE)

    set(scheduler_SRCS
        ../scheduler.cpp
        ../index.cpp
        ../collectionindexingjob.cpp
        ${indexer_SRCS}
    )

    add_akonadi_isolated_test_advanced(schedulertest.cpp "${scheduler_SRCS}" "${indexer_LIBS}")
    add_akonadi_isolated_test_advanced(collectionindexingjobtest.cpp "${scheduler_SRCS}" "${indexer_LIBS}")

    if(NOT WIN32 AND NOT APPLE)
        add_executable(
            collectionquerytest
            collectionquerytest.cpp
            ${query_SRCS}
            ${indexer_SRCS}
            ${scheduler_SRCS}
        )
        add_test(NAME collectionquerytest COMMAND collectionquerytest)
        ecm_mark_as_test(collectionquerytest)
        target_link_libraries(
            collectionquerytest
            ${indexer_LIBS}
            KPim6::AkonadiSearchPIM
            KPim6::AkonadiAgentBase
            KF6::ConfigCore
            Qt::Widgets
            Qt::DBus
            KF6::TextUtils
        )
    endif()
endif()

=== akonadiplugin/autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/..
    ${CMAKE_CURRENT_BINARY_DIR}/../../agent/
    ${CMAKE_CURRENT_BINARY_DIR}/..
)
add_executable(searchplugintest)

target_sources(
    searchplugintest
    PRIVATE
        searchplugintest.cpp
        ../searchplugin.cpp
        ../../agent/emailindexer.cpp
        ../../agent/calendarindexer.cpp
        ../../agent/contactindexer.cpp
        ../../agent/abstractindexer.cpp
        ../../agent/akonotesindexer.cpp
        ../../search/pimsearchstore.cpp
        ../../search/email/emailsearchstore.cpp
        ../../search/email/agepostingsource.cpp
        ../../search/contact/contactsearchstore.cpp
        ../../search/calendar/calendarsearchstore.cpp
        ../../search/note/notesearchstore.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/../../agent/akonadi_indexer_agent_debug.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/../../agent/akonadi_indexer_agent_calendar_debug.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/../../agent/akonadi_indexer_agent_email_debug.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/../akonadiplugin_indexer_debug.cpp
)

add_definitions(-DAKONADI_SEARCH_NO_PLUGINS=TRUE)

add_test(NAME searchplugintest COMMAND searchplugintest)
ecm_mark_as_test(searchplugintest)

target_link_libraries(
    searchplugintest
    Qt::Test
    KPim6::AkonadiCore
    KPim6::AkonadiMime
    KPim6::Mime
    KF6::Contacts
    ${XAPIAN_LIBRARIES}
    KF6::CalendarCore
    KPim6::AkonadiSearchPIM
    KPim6::AkonadiSearchXapian
    KF6::Codecs
    KF6::TextUtils
)

=== search/calendar/CMakeLists.txt ===
add_library(calendarsearchstore MODULE)
target_sources(
    calendarsearchstore
    PRIVATE
        calendarsearchstore.cpp
        ../pimsearchstore.cpp
        calendarsearchstore.h
        ../pimsearchstore.h
)
target_link_libraries(
    calendarsearchstore
    Qt::Core
    KPim6::AkonadiCore
    ${XAPIAN_LIBRARIES}
    KPim6AkonadiSearchCore
    KPim6AkonadiSearchXapian
)

install(
    TARGETS calendarsearchstore
    DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/akonadi
)

=== search/contact/CMakeLists.txt ===
add_library(contactsearchstore MODULE)
target_sources(
    contactsearchstore
    PRIVATE
        contactsearchstore.cpp
        ../pimsearchstore.cpp
        contactsearchstore.h
        ../pimsearchstore.h
)
target_link_libraries(
    contactsearchstore
    Qt::Core
    KPim6::AkonadiCore
    ${XAPIAN_LIBRARIES}
    KPim6AkonadiSearchCore
    KPim6AkonadiSearchXapian
)

install(
    TARGETS contactsearchstore
    DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/akonadi
)

=== search/email/CMakeLists.txt ===
add_library(emailsearchstore MODULE)
target_sources(
    emailsearchstore
    PRIVATE
        agepostingsource.cpp
        emailsearchstore.cpp
        ../pimsearchstore.cpp
        agepostingsource.h
        emailsearchstore.h
        ../pimsearchstore.h
)
target_link_libraries(
    emailsearchstore
    Qt::Core
    KPim6::AkonadiCore
    ${XAPIAN_LIBRARIES}
    KPim6AkonadiSearchCore
    KPim6AkonadiSearchXapian
)

install(
    TARGETS emailsearchstore
    DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/akonadi
)

=== debian/changelog ===
akonadi-search (4:25.08.3-0ubuntu2) resolute; urgency=medium

  * Rebuild.

 -- Rik Mills <rikmills@kde.org>  Fri, 07 Nov 2025 13:54:56 +0000

akonadi-search (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:19:31 +0000

akonadi-search (4:25.08.2-0ubuntu3) resolute; urgency=medium

  * Rebuild.

 -- Rik Mills <rikmills@kde.org>  Sat, 18 Oct 2025 11:48:44 +0100

akonadi-search (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:36:45 +0100

=== debian/control ===
Source: akonadi-search
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: ca-certificates,
               cargo:native,
               cmake (>= 3.16~),
               corrosion,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dpkg-dev (>= 1.22.5),
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.08.3~),
               libakonadimime-dev (>= 4:25.08.3~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6runner-dev (>= 6.6.0~),
               libkmime-dev (>= 25.08.3~),
               libktextaddons-dev (>= 1.5.4~),
               librust-cxx-1+default-dev (>= 1.0.106-~~),
               librust-cxx-build-1+default-dev (>= 1.0.106-~~),
               librust-html2text-0.12+default-dev,
               libstd-rust-dev,
               libxapian-dev,
               qt6-base-dev (>= 6.7.0~),
               rustc:native,
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/akonadi-search
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-search
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-search
Rules-Requires-Root: no

Package: libakonadisearch-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5akonadisearch-bin,
Replaces: libkf5akonadisearch-bin,
Description: Akonadi search library - runtime binaries
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime binaries.

Package: libakonadisearch-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkf5akonadisearch-bin,
Replaces: libkf5akonadisearch-bin,
Description: Akonadi search library - data files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains data files.

Package: libakonadisearch-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libakonadi-dev (>= 4:25.08.3~),
         libakonadimime-dev (>= 4:25.08.3~),
         libkf6calendarcore-dev (>= 6.6.0~),
         libkf6contacts-dev (>= 6.6.0~),
         libkf6coreaddons-dev (>= 6.3.0~),
         libkmime-dev (>= 25.08.3~),
         libkpim6akonadisearchcore6 (= ${binary:Version}),
         libkpim6akonadisearchdebug6 (= ${binary:Version}),
         libkpim6akonadisearchpim6 (= ${binary:Version}),
         libkpim6akonadisearchxapian6 (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
         ${so:Depends},
Description: Akonadi search library - development files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains the development files.

Package: libakonadisearch-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Akonadi search library - runtime plugins
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime plugins.

Package: libkpim6akonadisearchcore6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libakonadisearch-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libakonadisearch-bin,
            libakonadisearch-plugins (= ${binary:Version}),
Description: Akonadi search core library
 Internal library used to search in the Akonadi PIM data server.
 This package contains the core library.

Package: libkpim6akonadisearchdebug6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Akonadi search debug library
 Internal library used to search in the Akonadi PIM data server.
 This package contains the debug library.

Package: libkpim6akonadisearchpim6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: libakonadisearch-bin,
            libakonadisearch-plugins (= ${binary:Version}),
Description: Akonadi search library
 Library used to search in the Akonadi PIM data server.

Package: libkpim6akonadisearchxapian6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Akonadi search xapian library
 Internal library used to search in the Akonadi PIM data server.
 This package contains the xapian library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export PATH := /usr/share/cargo/bin:$(PATH)
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)

# Starting with a library package $*, remove the ABI and append a
# -MAJOR.MINOR suffix without the third component of the upstream version.
ABIVirtualPackage = $(shell echo $* | sed 's/abi[0-9]\+//')-$(basename $(DEB_VERSION_UPSTREAM))
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

%:
	dh $@


override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/cargo_registry

# Build with packaged Debian crates
override_dh_auto_configure:
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
	rm -f $(CURDIR)/agent/rs/htmlparser/Cargo.lock
	dh_auto_configure

override_dh_makeshlibs: $(pkgs_lib:=-makeshlibs)
	dh_makeshlibs --remaining-packages
$(pkgs_lib:=-makeshlibs): %-makeshlibs:
	dh_makeshlibs -p$* '-V$* (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $(ABIVirtualPackage)'

override_dh_gencontrol: $(pkgs_lib:=-gencontrol)
	dh_gencontrol --remaining-packages
$(pkgs_lib:=-gencontrol): %-gencontrol:
	dh_gencontrol -p$* -- -VABI:VirtualPackage=$(ABIVirtualPackage)

override_dh_auto_test:
	- xvfb-run -- dh_auto_test --no-parallel

## akonadi-search 25.08.3+p24.04+vstable+git20251204.0147

=== debian/changelog ===
akonadi-search (4:25.08.3+p24.04+vstable+git20251204.0147-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 01:47:15 +0000

akonadi-search (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:43:35 +1000

## akonadi-search 25.08.3+p24.04+vunstable+git20251208.0345

=== debian/changelog ===
akonadi-search (4:25.08.3+p24.04+vunstable+git20251208.0345-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 03:45:35 +0000

## akonadi-search 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,13 +2,14 @@
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.5.2")
+set(PIM_VERSION "6.5.80")
 project(AkonadiSearch VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.18.0")
 
 set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
@@ -92,12 +93,12 @@
 
 set(AKONADISEARCH_VERSION ${PIM_VERSION})
 
-set(AKONADI_VERSION "6.5.2")
-set(AKONADI_MIMELIB_VERSION "6.5.2")
-set(KMIME_LIB_VERSION "6.5.2")
+set(AKONADI_VERSION "6.5.80")
+set(AKONADI_MIMELIB_VERSION "6.5.80")
+set(KMIME_LIB_VERSION "6.5.80")
 set(QT_REQUIRED_VERSION "6.8.0")
-set(KPIM_MIME_VERSION "6.5.2")
-set(KTEXTADDONS_MIN_VERSION "1.6.0")
+set(KPIM_MIME_VERSION "6.5.80")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Test)
 find_package(
@@ -147,7 +148,7 @@
 # Compiler flags
 add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_search\")
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 option(
     USE_UNITY_CMAKE_SUPPORT

=== debian/changelog ===
akonadi-search (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:51:38 +0000

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                dpkg-dev (>= 1.22.5),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.08.3~),
-               libakonadimime-dev (>= 4:25.08.3~),
+               libakonadi-dev (>= 4:25.11.80~),
+               libakonadimime-dev (>= 4:25.11.80~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
@@ -24,7 +24,7 @@
                libkf6kcmutils-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
                libkf6runner-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.08.3~),
+               libkmime-dev (>= 25.11.80~),
                libktextaddons-dev (>= 1.5.4~),
                librust-cxx-1+default-dev (>= 1.0.106-~~),
                librust-cxx-build-1+default-dev (>= 1.0.106-~~),
@@ -66,12 +66,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:25.08.3~),
-         libakonadimime-dev (>= 4:25.08.3~),
+Depends: libakonadi-dev (>= 4:25.11.80~),
+         libakonadimime-dev (>= 4:25.11.80~),
          libkf6calendarcore-dev (>= 6.6.0~),
          libkf6contacts-dev (>= 6.6.0~),
          libkf6coreaddons-dev (>= 6.3.0~),
-         libkmime-dev (>= 25.08.3~),
+         libkmime-dev (>= 25.11.80~),
          libkpim6akonadisearchcore6 (= ${binary:Version}),
          libkpim6akonadisearchdebug6 (= ${binary:Version}),
          libkpim6akonadisearchpim6 (= ${binary:Version}),

## akonadi-search 25.11.90

=== debian/changelog ===
akonadi-search (4:25.11.90-0ubuntu2) resolute; urgency=high

  * Rebuild for release.

 -- Rik Mills <rikmills@kde.org>  Sat, 29 Nov 2025 11:34:59 +0000

akonadi-search (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:56:09 +0000

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                dpkg-dev (>= 1.22.5),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.11.80~),
-               libakonadimime-dev (>= 4:25.11.80~),
+               libakonadi-dev (>= 4:25.11.90~),
+               libakonadimime-dev (>= 4:25.11.90~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
@@ -24,7 +24,7 @@
                libkf6kcmutils-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
                libkf6runner-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.11.80~),
+               libkmime-dev (>= 25.11.90~),
                libktextaddons-dev (>= 1.5.4~),
                librust-cxx-1+default-dev (>= 1.0.106-~~),
                librust-cxx-build-1+default-dev (>= 1.0.106-~~),
@@ -66,12 +66,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:25.11.80~),
-         libakonadimime-dev (>= 4:25.11.80~),
+Depends: libakonadi-dev (>= 4:25.11.90~),
+         libakonadimime-dev (>= 4:25.11.90~),
          libkf6calendarcore-dev (>= 6.6.0~),
          libkf6contacts-dev (>= 6.6.0~),
          libkf6coreaddons-dev (>= 6.3.0~),
-         libkmime-dev (>= 25.11.80~),
+         libkmime-dev (>= 25.11.90~),
          libkpim6akonadisearchcore6 (= ${binary:Version}),
          libkpim6akonadisearchdebug6 (= ${binary:Version}),
          libkpim6akonadisearchpim6 (= ${binary:Version}),

## akonadi-search 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.6.0")
 project(AkonadiSearch VERSION ${PIM_VERSION})
 
 # ECM setup
@@ -93,11 +93,11 @@
 
 set(AKONADISEARCH_VERSION ${PIM_VERSION})
 
-set(AKONADI_VERSION "6.5.80")
-set(AKONADI_MIMELIB_VERSION "6.5.80")
-set(KMIME_LIB_VERSION "6.5.80")
+set(AKONADI_VERSION "6.6.0")
+set(AKONADI_MIMELIB_VERSION "6.6.0")
+set(KMIME_LIB_VERSION "6.6.0")
 set(QT_REQUIRED_VERSION "6.8.0")
-set(KPIM_MIME_VERSION "6.5.80")
+set(KPIM_MIME_VERSION "6.6.0")
 set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Test)

=== debian/changelog ===
akonadi-search (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:10:49 +0000

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                dpkg-dev (>= 1.22.5),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.11.90~),
-               libakonadimime-dev (>= 4:25.11.90~),
+               libakonadi-dev (>= 4:25.12.0~),
+               libakonadimime-dev (>= 4:25.12.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
@@ -24,7 +24,7 @@
                libkf6kcmutils-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
                libkf6runner-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.11.90~),
+               libkmime-dev (>= 25.12.0~),
                libktextaddons-dev (>= 1.5.4~),
                librust-cxx-1+default-dev (>= 1.0.106-~~),
                librust-cxx-build-1+default-dev (>= 1.0.106-~~),
@@ -66,12 +66,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:25.11.90~),
-         libakonadimime-dev (>= 4:25.11.90~),
+Depends: libakonadi-dev (>= 4:25.12.0~),
+         libakonadimime-dev (>= 4:25.12.0~),
          libkf6calendarcore-dev (>= 6.6.0~),
          libkf6contacts-dev (>= 6.6.0~),
          libkf6coreaddons-dev (>= 6.3.0~),
-         libkmime-dev (>= 25.11.90~),
+         libkmime-dev (>= 25.12.0~),
          libkpim6akonadisearchcore6 (= ${binary:Version}),
          libkpim6akonadisearchdebug6 (= ${binary:Version}),
          libkpim6akonadisearchpim6 (= ${binary:Version}),

## akonadi-search 25.12.0+p24.04+vstable+git20260103.0530

=== debian/changelog ===
akonadi-search (4:25.12.0+p24.04+vstable+git20260103.0530-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 05:30:21 +0000

akonadi-search (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:40:02 +1000

## akonadi-search 25.12.0+p24.04+vunstable+git20251208.2230

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,13 +2,12 @@
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.6.0")
+set(PIM_VERSION "6.6.40")
 project(AkonadiSearch VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.18.0")
-
-set(CMAKE_CXX_STANDARD 20)
+set(KF_MIN_VERSION "6.20.0")
+
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -93,12 +92,12 @@
 
 set(AKONADISEARCH_VERSION ${PIM_VERSION})
 
-set(AKONADI_VERSION "6.6.0")
-set(AKONADI_MIMELIB_VERSION "6.6.0")
-set(KMIME_LIB_VERSION "6.6.0")
-set(QT_REQUIRED_VERSION "6.8.0")
-set(KPIM_MIME_VERSION "6.6.0")
-set(KTEXTADDONS_MIN_VERSION "1.8.0")
+set(AKONADI_VERSION "6.6.40")
+set(AKONADI_MIMELIB_VERSION "6.6.40")
+set(KMIME_LIB_VERSION "6.6.40")
+set(QT_REQUIRED_VERSION "6.9.0")
+set(KPIM_MIME_VERSION "6.6.40")
+set(KTEXTADDONS_MIN_VERSION "1.8.82")
 
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Test)
 find_package(
@@ -148,7 +147,7 @@
 # Compiler flags
 add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_search\")
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.21.0)
 
 option(
     USE_UNITY_CMAKE_SUPPORT

=== debian/changelog ===
akonadi-search (4:25.12.0+p24.04+vunstable+git20251208.2230-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 22:30:43 +0000
